LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
CellAreaLinks Service Referencepublished

represents a collection of area links. More...

`import"CellAreaLinks.idl";`

Inheritance diagram for CellAreaLinks:

## Exported Interfaces
interface | com::sun::star::sheet::XAreaLinks
| provides access via index to a collection of area links and inserting and removing area links. More...
interface | com::sun::star::container::XIndexAccess
| provides access to the area links via index. More...
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all area links. More...

## Additional Inherited Members
Public Member Functions inherited from XAreaLinks
void | insertAtPosition ([in] com::sun::star::table::CellAddress aDestPos, [in] string aFileName, [in] string aSourceArea, [in] string aFilter, [in] string aFilterOptions)
| creates an area link and adds it to the collection. More...
void | removeByIndex ([in] long nIndex)
| removes an area link from the collection. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()

## Detailed Description

represents a collection of area links.

See also
  com::sun::star::sheet::CellAreaLink
  com::sun::star::sheet::SpreadsheetDocument

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all area links.

See also
  com::sun::star::sheet::CellAreaLinksEnumeration

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

provides access to the area links via index.

See also
  com::sun::star::sheet::CellAreaLink

## ◆ com::sun::star::sheet::XAreaLinks

interface com::sun::star::sheet::XAreaLinks

provides access via index to a collection of area links and inserting and removing area links.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/CellAreaLinks.idl